﻿# オートインポートツール

## バージョン
1.0.3.1  
- 1.0.3_ファイル名40文字以上のインポートエラー対応
- 1.0.3.1_エラー「System.IO.IOException: ファイルの先頭よりも前にファイル ポインターを移動しようとしました。対策」

## 概要
本ツールは、ダウンロードした3DデータをiCAD SXへインポートするツールです。  
- **自動インポート** 
   - zipファイルを解凍し、対応拡張子（※3）ファイルをiCADへインポートする機能※1 ※2   
（未圧縮の対応拡張子ファイルがダウンロードされた場合、zip解凍は行わずにインポートされます。） 
- **手動インポート**
  - 対応拡張子（※3）ファイルを選択し、iCADへインポートする機能※1 ※2 
   
 ※1_ファイル名に禁止文字(iCADSXルール)が含まれる場合は、該当禁止文字が削除されます。  
 ※2_ファイル名がパーツ名へ挿入されます。（ファイル名は40文字でカット）  
 ※3_対応拡張子  
".x_b",".x_t",".X_B",".X_T",".stp",".step",".STP",".STEP",".igs",".iges",".IGS",".IGES"

## 導入前の注意事項
- 導入前に必ず、**iCADインストールフォルダごとバックアップ**を作成してください。
- 本ツールはiCADのSDKを利用して作成されています。あらかじめiCAD SX の.NET連携機能を有効にしてください。
  - .NET連携機能有効化の手順
  1. スタートメニュー → iCAD SX 環境設定ツール → .NET連携セットアップ を起動する。
  2. ポート番号を「3999」（初期設定値のまま）にし、「.NET連携を有効にする」のチェックをONにする。
- 本ツールはあらかじめテストをしてから配布をしておりますが、万が一損害が生じた場合の一切の責任を負いかねますので、ご了承ください。
- 一部のウィルス対策ソフトで「IDP.Generic」といウィルスが誤検知されることが確認されています。お手数ですがウィルス対策ソフトの設定で本プログラムを例外に指定するようお願いいたします。

## テスト実施済環境
### iCAD SXのバージョン
V8L3
### OS
Windows 11

## インストール
1. ダウンロードファイルを解凍する
1. ATimport.exeを**iCADインストールフォルダ\USER\BIN**へコピー

## 使用方法
1. ATimport.exeの実行
	##### コマンドメニューもしくはアイコンメニューへ登録
	- 任意でコマンドメニューもしくはアイコンメニューへ登録してください。
	##### ATimport.exeの実行
	- 登録したメニュー（コマンドメニュー、アイコンメニュー）　　
	- iCAD_キー入力領域からのexe実行[;EXEC /%ICADDIR%\USER\BIN\ATimport.exe/ @GO]　
	- iCAD_アプリ実行
	- exeの直接起動  
	上記各方法により実行できます。
### 自動インポート
#### 設定
1. **有効**にチェック
1. **ダウンロードファイル保存先**へブラウザのダウンロードフォルダを選択する  
#### 説明
- zipもしくは対応拡張子ファイルが上記フォルダへダウンロード（追加）されるとiCADへインポートされます。  
  ※ダウンロードしたzipフォルダ内に複数の3Dデータが存在する場合、選択ウィンドウが表示されます。

### 手動インポート
#### 説明
- 対応拡張子ファイルを手動でインポートしたい場合、**手動インポート**ボタンを押し、ファイルを選択する。  
 ※zip解凍機能はありません。対応拡張子ファイル（3Dデータファイル）を選択してください。

## 著作権/利用条件/免責等について
* 本プログラムに関する著作権等の知的財産権はものづくりのススメ-しれっとプロジェクトに帰属します
* 本プログラムは一切の保証なく、現状で提供されるものであり、正常動作等について作者は保証を行いません
* 本プログラムに関して発生するいかなる問題も利用者の責任により解決されるものとします
* 本プログラムに関して発生するいかなる損害に対しても作者は責任を負いません

上記に同意される場合のみ、本プログラムをご利用ください

## 連絡先
本プログラムに関する不具合、ご要望等は[「ものづくりのススメ」お問い合わせフォーム](https://forms.gle/99xG3r8NDN7NX5QH9)よりご連絡ください。

---
Copyright (c) 2024 ものづくりのススメ-しれっとプロジェクト all aights reserved. 